%define tarball xf86-video-chrome
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

%define with_xvmc 0
%define with_debug 0

Summary:	Xorg X11 chrome video driver
Name:		xorg-x11-drv-chrome
Version:	5.74.33
Release:	14%{?dist}
URL:		https://github.com/linux4kix
License:	MIT
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:	https://github.com/linux4kix/xf86-video-chrome/files/%{tarball}-%{version}.tar.bz2
Source1:	chrome.xinf

# Fedora specific patches :

# Experimental patches (branch backport, etc...): 

ExclusiveArch:	%{ix86} x86_64

BuildRequires:	xorg-x11-server-devel
BuildRequires:	libX11-devel
BuildRequires:	libXext-devel
BuildRequires:	mesa-libGL-devel
#if %{with_xvmc}
BuildRequires:	libXvMC-devel
#endif
BuildRequires:	libdrm-devel >= 2.0-1
Requires:	xorg-x11-server-Xorg

%description 
X.Org X11 chrome video driver for via chipsets.


%if %{with_xvmc}
%package devel
Summary:	Xorg X11 openchrome video driver XvMC development package
Group:		Development/System
Requires:	%{name} = %{version}-%{release}
Obsoletes:	xorg-x11-drv-via-devel <= 0.2.2-4
Provides:	xorg-x11-drv-via-devel = 0.2.2-5

%description devel
X.Org X11 openchrome video driver XvMC development package.
%endif


%prep
%setup -q -n %{tarball}
# %patch20 -p1

# run autogen.sh until we have a proper release
NOCONFIGURE=yes sh autogen.sh

%build
%configure --disable-static --enable-dri \
%if %{with_debug}
           --enable-debug
%endif

make


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/chrome.xinf

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{driverdir}/chrome_drv.so
%{_datadir}/hwdata/videoaliases/chrome.xinf
%if %{with_xvmc}
%{_libdir}/libchromeXvMC.so.1
%{_libdir}/libchromeXvMC.so.1.0.0
%{_libdir}/libchromeXvMCPro.so.1
%{_libdir}/libchromeXvMCPro.so.1.0.0
%endif
%{_mandir}/man4/chrome.4.gz

%if %{with_xvmc}
%files devel
%defattr(-,root,root,-)
%{_libdir}/libchromeXvMC.so
%{_libdir}/libchromeXvMCPro.so
%endif


%changelog
* Fri Jan 28 2010 Jon Nettleton <jon.nettleton@gmail.com> - 5.74.33-1
- Initial Packaging.
